define(["require", "exports", "./Animator", "./Queue"], function (require, exports, Animator_1, Queue_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Introductions = void 0;
    /**
     * Animator for teams introducing themselves.
     */
    class Introductions extends Animator_1.Animator {
        /**
         * Runs the animations.
         *
         * @param onComplete   Handler for when the animations are done.
         */
        run(onComplete) {
            const queue = new Queue_1.Queue();
            queue.add((next) => {
                this.animations.opponent.introduction(next);
            });
            queue.add((next) => {
                this.animations.player.introduction(next);
            });
            queue.add((next) => {
                this.animations.opponent.switching.enter(next);
            });
            queue.add((next) => {
                this.animations.player.switching.enter(next);
            });
            queue.run(onComplete);
        }
    }
    exports.Introductions = Introductions;
});
//# sourceMappingURL=Introductions.js.map